# $Revision: 1.31 $, $Date: 2008/07/27 22:29:46 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Config
%define		pnam	Simple
Summary:	Config::Simple - simple configuration file class
Summary(pl.UTF-8):	Config::Simple - prosta klasa do obsługi plików konfiguracyjnych
Name:		perl-Config-Simple
Version:	4.58
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	f014aec54f0a1e2e880d317180fce502
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Config::Simple is a class representing configuration file object. It
supports several configuration file syntax and tries to identify the
file syntax to parse them accordingly. Library supports parsing,
updating and creating configuration files.

%description -l pl.UTF-8
Config::Simple stanowi klasę reprezentującą obiekty plików
konfiguracyjnych. Zawiera wsparcie dla kilku składni plików
konfiguracyjnych a próbuje zidentyfikować rodzaj używanej w danym
pliku składni poprzez kolejne próby ich analizy. Biblioteka wspiera
analizę, aktualizację i tworzenie plików konfiguracyjnych.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorlib}/Config/Simple.pm
%{perl_vendorlib}/auto/Config/Simple
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Config-Simple.spec,v $
Revision 1.31  2008/07/27 22:29:46  arekm
- release 2

Revision 1.30  2007-02-13 07:16:53  glen
- tabs in preamble

Revision 1.29  2007/02/12 00:49:26  baggins
- converted to UTF-8

Revision 1.28  2006/03/13 23:02:59  agaran
- up to 2.58, rel 1 builds here

Revision 1.27  2004/11/03 22:30:11  paladine
- formatting

Revision 1.26  2004/11/01 21:41:45  adamg
- updated to 4.57

Revision 1.25  2004/08/08 17:41:10  adamg
- updated to 4.56

Revision 1.24  2004/05/06 18:43:06  ankry
- fixed perl-devel BR

Revision 1.23  2004/04/25 06:25:05  ankry
- cosmetics: unification

Revision 1.22  2004/04/20 09:46:28  ankry
- bcond fixes/porting

Revision 1.21  2004/04/18 22:17:09  ankry
- license fixes and cosmetics

Revision 1.20  2003/08/18 08:08:33  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.19  2003/06/11 22:24:54  misi3k
- updated to 4.55

Revision 1.18  2003/05/28 13:00:30  malekith
- massive attack: source-md5

Revision 1.17  2003/05/25 06:24:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.16  2003/04/11 18:59:21  radek
- BR: perl-devel; do not BR: perl

Revision 1.15  2003/04/11 13:58:25  qboosh
- merge from RA-branch: up to 4.48, informative descriptions, tests on bcond
- release 2

Revision 1.14  2003/03/13 00:01:52  ankry
- merge from RA-branch: updated to 4.46

Revision 1.13  2003/03/01 18:46:08  radek
- should be ready for perl-5.8.0; release++

Revision 1.12  2003/02/28 10:08:15  trojan
- massive attack: perl -pi -e "s/^#+\%\{/#\%\%\{/"

Revision 1.11  2003/02/25 00:37:40  radek
- use the __perl macro

Revision 1.10  2003/02/22 21:27:05  ankry
- autoupdated to 4.3

Revision 1.9  2003/02/21 23:37:39  ankry
- autoupdated to 4.2

Revision 1.8  2003/02/18 15:28:22  ankry
- massive attack: change CPAN URLs

Revision 1.7  2003/01/07 13:15:16  mis
- autoupdated to 3.9

Revision 1.6  2002/12/02 11:06:23  ankry
- massive cleaning

Revision 1.5  2002/11/26 09:59:31  mis
- autoupdated to 3.7

Revision 1.4  2002/11/20 11:45:38  mis
- autoupdated to 3.1

Revision 1.3  2002/11/08 18:08:08  radek
- version 3.0

Revision 1.2  2002/07/25 23:59:08  radek
- added CVS Date field in the first line

Revision 1.1  2002/07/24 15:10:10  radek
- new, STBR
